petsc-3.12.4 2020-02-04
Report Typos and Errors

# MATSBAIJ

MATSBAIJ = "sbaij" - A matrix type to be used for symmetric block sparse matrices. This matrix type is identical to MATSEQSBAIJ when constructed with a single process communicator, and MATMPISBAIJ otherwise.

### Options Database Keys

-mat_type sbaij -sets the matrix type to "sbaij" during a call to MatSetFromOptions()

### See Also

MatCreateMPISBAIJ,MATSEQSBAIJ,MATMPISBAIJ

### Level

beginner

### Location

src/mat/impls/sbaij/mpi/mpisbaij.c

### Examples

src/snes/examples/tutorials/ex48.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages